%define	upstream_name XML-XUpdate-LibXML
%define upstream_version 0.6.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17
License:	MPL
Group:		Development/Perl
Summary:	Simple implementation of XUpdate format
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildArch:	noarch
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires:	perl-devel
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::LibXML::XPathContext)

Requires(pre):	libxml2
Requires(pre):  perl(XML::LibXML)
Requires(pre):	perl(XML::SAX)

%description
%{upstream_name} module for perl
Simple implementation of XUpdate format

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%preun -p /usr/bin/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p /usr/bin/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes
%{_bindir}/xupdate
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-17.mga8
+ Revision: 1498579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-16.mga7
+ Revision: 1272825
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-15.mga6
+ Revision: 1036175
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-14.mga6
+ Revision: 968720
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.6.0-13.mga6
+ Revision: 854399
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-12.mga5
+ Revision: 740039
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.6.0-11.mga5
+ Revision: 725159
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-10.mga5
+ Revision: 686980
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-9.mga4
+ Revision: 516305
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-8.mga3
+ Revision: 375246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.6.0-7.mga1
+ Revision: 31501
- mageia rebuild
- imported package perl-XML-XUpdate-LibXML


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-7mdv2010.0
+ Revision: 430667
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-6mdv2009.0
+ Revision: 258883
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-5mdv2009.0
+ Revision: 246787
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6.0-3mdv2008.1
+ Revision: 136369
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.0-3mdv2008.0
+ Revision: 23482
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Requires
	- Source URL

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-1mdk
- 0.6.0
- Make rpmbuildable
- Fix pre-requires

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.5.0-2mdk
- Fix pre-requires

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- cosmetics

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2-4mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-3mdk
- disable failling tests for now
- rebuild for new auto{prov,req}

